Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.config.entities
Class InterceptorStackConfig.Builder

    java.lang.Object
      com.opensymphony.xwork2.config.entities.InterceptorStackConfig.Builder

All Implemented Interfaces:
  InterceptorListHolder

Enclosing class:
  InterceptorStackConfig

    public static class InterceptorStackConfig.Builder

extends Object
implements InterceptorListHolder

The builder for this object. An instance of this object is the only way to construct a new instance. The purpose is to enforce the immutability of the object. The methods are structured in a way to support chaining. After setting any values you need, call the `build()` method to create the object.

Field Summary
`protected InterceptorStackConfig` | `target`

Constructor Summary
`InterceptorStackConfig.Builder(String name)`

Method Summary
`InterceptorStackConfig.Builder` | `addInterceptor(InterceptorMapping interceptor)` Add an `InterceptorMapping` object.
`InterceptorStackConfig.Builder` | `addInterceptors(List<InterceptorMapping> interceptors)` Add a List of `InterceptorMapping` objects.
`InterceptorStackConfig` | `build()`
`protected void` | `embalmTarget()`
`InterceptorStackConfig.Builder` | `location(Location loc)`
`InterceptorStackConfig.Builder` | `name(String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### target

    protected InterceptorStackConfig target

Constructor Detail

### InterceptorStackConfig.Builder

    public InterceptorStackConfig.Builder(String name)

Method Detail

### name

    public InterceptorStackConfig.Builder name(String name)

### addInterceptor

    public InterceptorStackConfig.Builder addInterceptor(InterceptorMapping interceptor)

  Add an `InterceptorMapping` object.

  Specified by:
    `addInterceptor` in interface `InterceptorListHolder`

### addInterceptors

    public InterceptorStackConfig.Builder addInterceptors(List<InterceptorMapping> interceptors)

  Add a List of `InterceptorMapping` objects.

  Specified by:
    `addInterceptors` in interface `InterceptorListHolder`

### location

    public InterceptorStackConfig.Builder location(Location loc)

### build

    public InterceptorStackConfig build()

### embalmTarget

    protected void embalmTarget()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.